<?php

namespace common\models;

use common\modules\product\models\Product;
use Yii;

/**
 * This is the model class for table "product_certificate".
 *
 * @property integer $product_certificate_id
 * @property integer $product_id
 * @property integer $link
 *
 * @property Product $product
 */
class ProductCertificate extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'product_certificate';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'product_certificate_id' => 'Product Certificate ID',
            'product_id' => 'Product ID',
            'link' => 'Link',
        ];
    }
    
    public function beforeDelete()
    {
        
        if(parent::beforeDelete()) {
            $this->deleteFile();
            return true;
        } else {
            return false;
        }
    }
    
    public function deleteFile()
    {
        $storage = \Yii::getAlias('@storage');
        $file = $storage.'/certificates/'.$this->product->product_id.'/'.$this->link;
        if(file_exists($file)) {
            unlink($file);
        }
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getProduct()
    {
        return $this->hasOne(Product::className(), ['product_id' => 'product_id']);
    }
}
